package com.jiayue.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 审批表
 *
 * @author xsl
 * @version 3.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "sys_approve")
public class SysApprove extends BaseEntity{
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 模块名称
     */
    private String moduleName;
    /**
     * 操作
     */
    private String operation;
    /**
     * 审批状态（0待审批 1已审批）
     */
    private String approveStatus;
    /**
     * 审批结果（0通过 1未通过）
     */
    private String approveResult;
    /**
     * 实体名称
     */
    private String entityName;
    /**
     * 实体内容
     */
    private String parameterContent;
    /**
     * 主键ID号
     */
    private String masterId;
}
